# Self Data Grandlyon Documentation

## Commands

- `py -m pip install mkdocs` - Install mkdocs
- `mkdocs serve` - Start the live-reloading docs server.
- `mkdocs build` - Build the documentation site.
- `mkdocs help` - Print this help message.

## Mkdocs packages

    py -m pip install mkdocs-material
    py -m pip install plantuml-markdown

## Setting files hierarchy

    inside mkdocs.yml, configure the md files hierarchy

nav:

- Home: index.md
- Easy Cozy:
  - Configuration: easycozy/config.md
  - Commands: easycozy/commands.md
  - Known errors: easycozy/known_errors.md
  - Scripts: easycozy/scripts.md
  - Tips: easycozy/tips.md
- Ecolyo:
  - Introduction: ecolyo/index.md
  - Getting started:
    - Setup your environment: ecolyo/getting_started/setup_your_environment.md
    - Launch the application on local: ecolyo/getting_started/launch_local_application.md
    - Launch a konnector on local: ecolyo/getting_started/launch_local_konnector.md
  - Project Architecture:
    - Architecture: ecolyo/project_architecture/architecture.md
    - Libraries: ecolyo/project_architecture/libraries.md
    - Environments: ecolyo/project_architecture/environments.md
    - DocTypes: ecolyo/project_architecture/doctypes.md
    - Remote DocTypes: ecolyo/project_architecture/remote_doctypes.md
  - Application:
    - Description: ecolyo/application/description.md
    - Redux: ecolyo/application/redux.md
    - Scaffolding: ecolyo/application/scaffolding.md
    - Services: ecolyo/application/services.md
    - Gitflow: ecolyo/application/gitflow.md
    - Deploy: ecolyo/application/deploy.md
    - Mail: ecolyo/application/mail.md
  - Services:
    - Description: ecolyo/services/index.md
    - Monthly report notification: ecolyo/services/monthly_report_notification.md
    - Aggregator usage events: ecolyo/services/aggregator_usage_events.md
    - Consumption Alert: ecolyo/services/consumption_alert.md
  - Functionalities:
    - Initialization: ecolyo/functionalities/initialization.md
    - Onboarding: ecolyo/functionalities/onboarding.md
    - Consumption: ecolyo/functionalities/consumption.md
    - Ecogesture: ecolyo/functionalities/ecogesture.md
    - Challenge: ecolyo/functionalities/challenge.md
    - Profile Type: ecolyo/functionalities/profile_type.md
    - Analysis: ecolyo/functionalities/analysis.md
    - Usage events tracking: ecolyo/functionalities/usage_events_tracking.md
- Pilote:
  - Pilote - TS - Back:
    - Index: pilote/Pilote - TS - Back/index.md
    - Application:
      - Deploy: pilote/Pilote - TS - Back/application/deploy.md
    - Functionalities:
      - Routes: pilote/Pilote - TS - Back/functionalities/routes.md
    - Getting Started:
      - Launch the application on local: pilote/Pilote - TS - Back/getting_started/launch_local_application.md
      - Setup your environment: pilote/Pilote - TS - Back/getting_started/setup_your_environment.md
    - Project Architecture: pilote/Pilote - TS - Back/project_architecture/architecture.md
  - Pilote - TS - Front:
    - Index: pilote/Pilote - TS - Front/index.md
    - Application:
      - Deploy: pilote/Pilote - TS - Front/application/deploy.md
    - Functionalities:
      - Routes: pilote/Pilote - TS - Front/functionalities/functions.md
    - Getting Started:
      - Launch the application on local: pilote/Pilote - TS - Front/getting_started/launch_local_application.md
  - Pilote - Usager:
    - Application:
      - Deploy: pilote/Pilote - Usager/application/deploy.md
      - Doctypes: pilote/Pilote - Usager/application/doctypes.md
      - Gitflow: pilote/Pilote - Usager/application/gitflow.md
      - Scaffolding: pilote/Pilote - Usager/application/scaffolding.md
      - Services: pilote/Pilote - Usager/application/services.md
      - Store: pilote/Pilote - Usager/application/store.md
    - Functionalities:
      - Appointments: pilote/Pilote - Usager/functionalities/appointments.md
      - Contact: pilote/Pilote - Usager/functionalities/contact.md
      - Document: pilote/Pilote - Usager/functionalities/document.md
      - Settings: pilote/Pilote - Usager/functionalities/setting.md
    - Getting Started:
      - Launch local doctypes: pilote/Pilote - Usager/getting_started/launch_local_doctypes.md
      - Launch local services: pilote/Pilote - Usager/getting_started/launch_local_services.md
- Konnectors:
  - Introduction: konnectors/index.md
  - Enedis: konnectors/enedis.md
  - GRDF: konnectors/grdf.md
  - Eau du Grand Lyon: konnectors/egl.md
- Proxy:
  - Description: proxy/description.md
  - Monitoring: proxy/monitoring.md
  - Use cases:
    - Enedis: proxy/use_cases/enedis.md
    - Grdf Adict: proxy/use_cases/grdfadict.md

## Project layout

    mkdocs.yml    # The main file and configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.
